Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server Support for Apache Beehive

## com.bea.control
Interface JdbcControl

All Superinterfaces:
  org.apache.beehive.controls.system.jdbc.JdbcControl

public interface JdbcControl
extends org.apache.beehive.controls.system.jdbc.JdbcControl

Simplifies access to a relational database from your Java code using SQL commands. The Database control handles the work of connecting to the database, which makes it simpler to use than JDBC.
Note that only one of the methods of this interface (acceptChanges) is visible in Design View for a Database control in your application. You will typically not use the others. The best way to use a Database control is to add it to your design, then add to the control methods that capture the specific SQL expressions you want to execute against the database. Tasks such as getting a database connection are handled for you as you use the control.
This JdbcControl extends the org.apache.beehive.controls.system.jdbc.JdbcControl. For more information regarding this control please visit api docs for the system controls on the Apache Beehive site, which is currently at http://beehive.apache.org/docs/1.0m1/apidocs/classref_systemcontrols. This URL is likely to change.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Nested Class Summary
`static interface` | `JdbcControl.ClassXsd` ClassXsd annotation definition.
`static class` | `JdbcControl.CommandType` CommandType Enumeration.
`static class` | `JdbcControl.SQLFragment` SQLFragment.
`static class` | `JdbcControl.SQLParameter`
`static interface` | `JdbcControl.SQLRowSet` SQLx annotation definition.

Nested classes inherited from class org.apache.beehive.controls.system.jdbc.JdbcControl
`org.apache.beehive.controls.system.jdbc.JdbcControl.ConnectionDataSource, org.apache.beehive.controls.system.jdbc.JdbcControl.ConnectionDriver, org.apache.beehive.controls.system.jdbc.JdbcControl.ConnectionOptions, org.apache.beehive.controls.system.jdbc.JdbcControl.FetchDirection, org.apache.beehive.controls.system.jdbc.JdbcControl.HoldabilityType, org.apache.beehive.controls.system.jdbc.JdbcControl.JndiContextFactory, org.apache.beehive.controls.system.jdbc.JdbcControl.ScrollType, org.apache.beehive.controls.system.jdbc.JdbcControl.SQL, org.apache.beehive.controls.system.jdbc.JdbcControl.TypeMapper, org.apache.beehive.controls.system.jdbc.JdbcControl.UndefinedIteratorType, org.apache.beehive.controls.system.jdbc.JdbcControl.UndefinedResultSetMapper`

Field Summary

Fields inherited from interface org.apache.beehive.controls.system.jdbc.JdbcControl
`DEFAULT_FETCH_SIZE, MAXROWS_ALL`

Method Summary
`void` | `acceptChanges(RowSet r)` Wrapper for RowSet.acceptChanges().

Methods inherited from interface org.apache.beehive.controls.system.jdbc.JdbcControl
`getConnection, getDataSourceCalendar, setDataSourceCalendar`

Method Detail

### acceptChanges

    public void acceptChanges(RowSet r)
                       throws SQLException,
                              weblogic.jdbc.rowset.OptimisticConflictException

  Wrapper for RowSet.acceptChanges().

  Throws:
    `SQLException`
    `weblogic.jdbc.rowset.OptimisticConflictException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD